/*********************************************/
/*  IRS & TS Device Driver Header Program    */
/*                                           */
/*                  developed by Eri.Taguchi */
/*                     ver 1.0  Dec. 16 2000 */
/*********************************************/

#define IRS_TS_MAJOR 61
#define LEN 13
#define LINECOUNT 1

#define IRS_TS_PORT_READ 0x0140
#define IRS_TS_PORT_MASK 0x0142

#define IRS_TS_IOC_MAGIC 'i'
#define IRS_READ         _IOR(IRS_TS_IOC_MAGIC, 0,setcode)
#define TS_READ          _IOR(IRS_TS_IOC_MAGIC, 1,setcode)
#define PO_READ          _IOR(IRS_TS_IOC_MAGIC, 2,setcode)
#define IRS_TS_HARDRESET _IO(IRS_TS_IOC_MAGIC,  3)
#define LCD_IOC_MAXNR 3


static int irs_ts_detect(unsigned int, unsigned int );
static char *irs_ts_module_read(int);
static void irs_ts_module_release(unsigned int,unsigned int );

static char it[LEN];
static int linecount;
