//----------------------------------------------------------------------------
// MIRS0202 sensor-method header
//                based on Eri.Taguchi
//                         Akihisa.Onoda
//                mod.  by Hajime Wakabayashi
//
//                     ver 0.1alpha Dec. 18 2003
//                         0.2      Jan. 30 2004

#define IRS_TS_IOC_MAGIC 'i'
#define IRS_READ         _IOR(IRS_TS_IOC_MAGIC, 0,setcode)
#define TS_READ          _IOR(IRS_TS_IOC_MAGIC, 1,setcode)

#define TSWLS	0
#define SERIAL	1

class Sensor {
private:
	//temp arg
	int fd,fds,setcode;
	char data[13];
	unsigned char pic_data[3];
	int send_data,return_data;
	int temp[6];

	void dOpen(int);
	void dClose(int);
public:
	Sensor(void);
	~Sensor(void);
	int TS(int);
	int WLS(int);
	int TS(void);
	int WLS(void);
	int IRS(int);
	int USS(int);
};
